<?php
require'fun.php';
if($conn->query('SELECT COUNT(*)FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="2"')->fetch_row()[0]>0)
{
$titlu='Eroare!';
require'f_sus.php';
$sex_de=($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]=='F'?'ă':'');
$banto=$conn->query('SELECT`data`,`pnreas`,`exid`FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="2"')->fetch_row();
require'f_ramas.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Esti <strong>banat'.$sex_de.'</strong> pe acest serviciu!'.$div[0].$div[10].'Timp ramas pana la debanare: <strong>'.ramas($banto[0]-$_SERVER['REQUEST_TIME']).'</strong><br />Ai fost banat'.$sex_de.' de: <strong>'.nume($banto[2]).'</strong><br />Motiv ban: <strong>'.htmlspecialchars($banto[1]).'</strong>'.$div[0];
require'f_jos.php';
}
if($_SERVER['REQUEST_URI']!='/chat')
$back[1]='<a href="/chat">'.img('chat.png',1).'Meniu chat</a>';
if($cid>0)
{
$cinfo=$conn->query('SELECT`id`,`nume`,`parola`,`activitate`,`clid`,`raportat`FROM`chat_camere`WHERE`id`="'.$cid.'"')->fetch_row();
if($cinfo[0]>0)
{
$cnume=htmlspecialchars($cinfo[1]);
$x2='/camera/'.$cid.'-'.seo($cinfo[1]).'/v/'.$fid.'/p/'.$tid;
if($_SERVER['REQUEST_URI']!='/camera-chat'.$x2)
$back[2]='<a href="/camera-chat'.$x2.'">'.img('arrow_next.png',2).$cnume.'</a>';
if($cinfo[2]!=''&&$tid!=$cinfo[2])
{
$titlu='Acces restrictionat în camera '.$cnume.'!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți intra în aceasta camera!<br />Ai gresit parola!'.$div[0];
require'f_jos.php';
}
function canenter()
{
global$cinfo,$conn,$de,$perm;
if($perm>0)
return true;
if($cinfo[4]!=0)
{
if($conn->query('SELECT COUNT(*)FROM`grup_membrii`WHERE`de`="'.$de.'"&&`cid`="'.$cinfo[4].'"')->fetch_row()[0]>0)
return true;
else
return false;
}
return true;
}
if(!canenter())
{
http_response_code(401);
$titlu='Acces interzis în camera '.$cnume.'!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți intra în aceasta camera!<br />Accesul îți este interzis!'.$div[0];
require'f_jos.php';
}
if(mb_stristr($_SERVER['REQUEST_URI'],'intra-pe-chat')||($fid==1&&$perm>0))
echo'';
else
{
if(!$conn->query('INSERT INTO`chat_conectati`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`de`="'.$de.'",`cid`="'.$cid.'"'))
$conn->query('UPDATE`chat_conectati`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`cid`="'.$cid.'"WHERE`de`="'.$de.'"');
}
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Aceasta camera nu a fost gasita!<br />Probabil a fost ștearsă!'.$div[0];
require'f_jos.php';
}
}